# Method: threatMatches.find

- [HTTP request](https://developers.google.com/safe-browsing/reference/rest/v4/threatMatches/find#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/safe-browsing/reference/rest/v4/threatMatches/find#body.request_body)
  - [JSON representation](https://developers.google.com/safe-browsing/reference/rest/v4/threatMatches/find#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/safe-browsing/reference/rest/v4/threatMatches/find#body.response_body)
  - [JSON representation](https://developers.google.com/safe-browsing/reference/rest/v4/threatMatches/find#body.FindThreatMatchesResponse.SCHEMA_REPRESENTATION)

Finds the threat entries that match the Safe Browsing lists.

### HTTP request

`POST https://safebrowsing.googleapis.com/v4/threatMatches:find`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "client": { object (`https://developers.google.com/safe-browsing/reference/rest/v4/ClientInfo`) }, "threatInfo": { object (`https://developers.google.com/safe-browsing/reference/rest/v4/ThreatInfo`) } } ``` |

| Fields ||
|---|---|
| `client` | ``object (`https://developers.google.com/safe-browsing/reference/rest/v4/ClientInfo`)`` The client metadata. |
| `threatInfo` | ``object (`https://developers.google.com/safe-browsing/reference/rest/v4/ThreatInfo`)`` The lists and entries to be checked for matches. |

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "matches": [ { object (`https://developers.google.com/safe-browsing/reference/rest/v4/ThreatMatch`) } ] } ``` |

| Fields ||
|---|---|
| `matches[]` | ``object (`https://developers.google.com/safe-browsing/reference/rest/v4/ThreatMatch`)`` The threat list matches. |